Package org.flowable.engine.interceptor

# Class StartProcessInstanceAfterContext

java.lang.Object
org.flowable.engine.interceptor.AbstractStartProcessInstanceAfterContext
org.flowable.engine.interceptor.StartProcessInstanceAfterContext

public class StartProcessInstanceAfterContext extends AbstractStartProcessInstanceAfterContext

- ## Field Summary

  ### Fields inherited from class org.flowable.engine.interceptor.AbstractStartProcessInstanceAfterContext

  `childExecution, initialFlowElement, process, processDefinition, processInstance, transientVariables, variables`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartProcessInstanceAfterContext()`
  `StartProcessInstanceAfterContext(org.flowable.engine.impl.persistence.entity.ExecutionEntity processInstance, org.flowable.engine.impl.persistence.entity.ExecutionEntity childExecution, Map<String,Object> variables, Map<String,Object> transientVariables, FlowElement initialFlowElement, Process process, ProcessDefinition processDefinition)`

- ## Method Summary

  ### Methods inherited from class org.flowable.engine.interceptor.AbstractStartProcessInstanceAfterContext

  `getChildExecution, getInitialFlowElement, getProcess, getProcessDefinition, getProcessInstance, getTransientVariables, getVariables, setChildExecution, setInitialFlowElement, setProcess, setProcessDefinition, setProcessInstance, setTransientVariables, setVariables`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StartProcessInstanceAfterContext

    public StartProcessInstanceAfterContext()

  - ### StartProcessInstanceAfterContext

    public StartProcessInstanceAfterContext(org.flowable.engine.impl.persistence.entity.ExecutionEntity processInstance, org.flowable.engine.impl.persistence.entity.ExecutionEntity childExecution, Map<String,Object> variables, Map<String,Object> transientVariables, FlowElement initialFlowElement, Process process, ProcessDefinition processDefinition)